## org.h2.engine
Class SessionFactoryEmbedded

    java.lang.Object
      org.h2.engine.SessionFactoryEmbedded

All Implemented Interfaces:
  SessionFactory

    public class SessionFactoryEmbedded

extends java.lang.Object
implements SessionFactory

A factory for embedded database sessions.

Constructor Summary
`SessionFactoryEmbedded()`

Method Summary
`SessionInterface` `createSession(ConnectionInfo ci)` Create a new session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryEmbedded

    public SessionFactoryEmbedded()

Method Detail

### createSession

    public SessionInterface createSession(ConnectionInfo ci)
                                   throws java.sql.SQLException

  Description copied from interface: `SessionFactory`
  Create a new session.

  Specified by:
    `createSession` in interface `SessionFactory`
  Parameters:
    `ci` - the connection parameters
  Returns:
    the new session
  Throws:
    `java.sql.SQLException`